Passer au contenu principal
POST
/
creation
/
infrastructures
POST InfrastructureView
curl --request POST \
  --url https://dev.api.formapulse.formafoot.fr/creation/infrastructures \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'label=<string>' \
  --form 'type=<string>' \
  --form capacite_accueil=2 \
  --form 'adresse=<string>' \
  --form 'description=<string>' \
  --form allow_reservation=true
{}

Documentation Index

Fetch the complete documentation index at: https://formapulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Token JWT prefixe par 'JWT '. Exemple : Authorization: JWT eyJ0eXAiOi.... Token obtenu via POST /auth/jwt/create (djoser).

Corps

multipart/form-data

POST /createur/infrastructures

label
string
requis
Maximum string length: 255
type
string
requis
Pattern: ^(terrain|salle|gymnase|piscine|stade|autre)$
capacite_accueil
integer
requis
Plage requise: x >= 1
adresse
string | null
description
string | null
allow_reservation
boolean
défaut:true

Réponse

Reponse de succes

The response is of type object.